diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index a782f10998..129e44702a 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -642,7 +642,7 @@ include_dir 'conf.d'
      <variablelist>
 
      <varlistentry id="guc-listen-addresses" xreflabel="listen_addresses">
-      <term><varname>listen_addresses</varname> (<type>string</type>)
+      <term><varname>listen_addresses</varname> (<type>string</type>) - default is localhost
       <indexterm>
        <primary><varname>listen_addresses</varname> configuration parameter</primary>
       </indexterm>
@@ -678,7 +678,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-port" xreflabel="port">
-      <term><varname>port</varname> (<type>integer</type>)
+      <term><varname>port</varname> (<type>integer</type>) - default is 5432
       <indexterm>
        <primary><varname>port</varname> configuration parameter</primary>
       </indexterm>
@@ -693,7 +693,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-max-connections" xreflabel="max_connections">
-      <term><varname>max_connections</varname> (<type>integer</type>)
+      <term><varname>max_connections</varname> (<type>integer</type>) - default is 100
       <indexterm>
        <primary><varname>max_connections</varname> configuration parameter</primary>
       </indexterm>
@@ -722,7 +722,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-reserved-connections" xreflabel="reserved_connections">
-      <term><varname>reserved_connections</varname> (<type>integer</type>)
+      <term><varname>reserved_connections</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>reserved_connections</varname> configuration parameter</primary>
       </indexterm>
@@ -755,7 +755,7 @@ include_dir 'conf.d'
      <varlistentry id="guc-superuser-reserved-connections"
      xreflabel="superuser_reserved_connections">
       <term><varname>superuser_reserved_connections</varname>
-      (<type>integer</type>)
+      (<type>integer</type>) - default is 3
       <indexterm>
        <primary><varname>superuser_reserved_connections</varname> configuration parameter</primary>
       </indexterm>
@@ -785,7 +785,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-unix-socket-directories" xreflabel="unix_socket_directories">
-      <term><varname>unix_socket_directories</varname> (<type>string</type>)
+      <term><varname>unix_socket_directories</varname> (<type>string</type>) - default is /tmp, on Windows is an empty string
       <indexterm>
        <primary><varname>unix_socket_directories</varname> configuration parameter</primary>
       </indexterm>
@@ -836,7 +836,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-unix-socket-group" xreflabel="unix_socket_group">
-      <term><varname>unix_socket_group</varname> (<type>string</type>)
+      <term><varname>unix_socket_group</varname> (<type>string</type>) - default is an empty string
       <indexterm>
        <primary><varname>unix_socket_group</varname> configuration parameter</primary>
       </indexterm>
@@ -862,7 +862,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-unix-socket-permissions" xreflabel="unix_socket_permissions">
-      <term><varname>unix_socket_permissions</varname> (<type>integer</type>)
+      <term><varname>unix_socket_permissions</varname> (<type>integer</type>) - default is 0777
       <indexterm>
        <primary><varname>unix_socket_permissions</varname> configuration parameter</primary>
       </indexterm>
@@ -912,7 +912,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-bonjour" xreflabel="bonjour">
-      <term><varname>bonjour</varname> (<type>boolean</type>)
+      <term><varname>bonjour</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>bonjour</varname> configuration parameter</primary>
       </indexterm>
@@ -927,7 +927,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-bonjour-name" xreflabel="bonjour_name">
-      <term><varname>bonjour_name</varname> (<type>string</type>)
+      <term><varname>bonjour_name</varname> (<type>string</type>) - default is an empty string
       <indexterm>
        <primary><varname>bonjour_name</varname> configuration parameter</primary>
       </indexterm>
@@ -952,7 +952,7 @@ include_dir 'conf.d'
      <variablelist>
 
      <varlistentry id="guc-tcp-keepalives-idle" xreflabel="tcp_keepalives_idle">
-      <term><varname>tcp_keepalives_idle</varname> (<type>integer</type>)
+      <term><varname>tcp_keepalives_idle</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>tcp_keepalives_idle</varname> configuration parameter</primary>
       </indexterm>
@@ -975,7 +975,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-tcp-keepalives-interval" xreflabel="tcp_keepalives_interval">
-      <term><varname>tcp_keepalives_interval</varname> (<type>integer</type>)
+      <term><varname>tcp_keepalives_interval</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>tcp_keepalives_interval</varname> configuration parameter</primary>
       </indexterm>
@@ -998,7 +998,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-tcp-keepalives-count" xreflabel="tcp_keepalives_count">
-      <term><varname>tcp_keepalives_count</varname> (<type>integer</type>)
+      <term><varname>tcp_keepalives_count</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>tcp_keepalives_count</varname> configuration parameter</primary>
       </indexterm>
@@ -1018,7 +1018,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-tcp-user-timeout" xreflabel="tcp_user_timeout">
-      <term><varname>tcp_user_timeout</varname> (<type>integer</type>)
+      <term><varname>tcp_user_timeout</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>tcp_user_timeout</varname> configuration parameter</primary>
       </indexterm>
@@ -1038,7 +1038,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-client-connection-check-interval" xreflabel="client_connection_check_interval">
-      <term><varname>client_connection_check_interval</varname> (<type>integer</type>)
+      <term><varname>client_connection_check_interval</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>client_connection_check_interval</varname> configuration parameter</primary>
       </indexterm>
@@ -1082,7 +1082,7 @@ include_dir 'conf.d'
 
      <variablelist>
      <varlistentry id="guc-authentication-timeout" xreflabel="authentication_timeout">
-      <term><varname>authentication_timeout</varname> (<type>integer</type>)
+      <term><varname>authentication_timeout</varname> (<type>integer</type>) - default is 1m
       <indexterm><primary>timeout</primary><secondary>client authentication</secondary></indexterm>
       <indexterm><primary>client authentication</primary><secondary>timeout during</secondary></indexterm>
       <indexterm>
@@ -1105,7 +1105,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-password-encryption" xreflabel="password_encryption">
-      <term><varname>password_encryption</varname> (<type>enum</type>)
+      <term><varname>password_encryption</varname> (<type>enum</type>) - default is scram-sha-256
       <indexterm>
        <primary><varname>password_encryption</varname> configuration parameter</primary>
       </indexterm>
@@ -1136,7 +1136,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-scram-iterations" xreflabel="scram_iterations">
-      <term><varname>scram_iterations</varname> (<type>integer</type>)
+      <term><varname>scram_iterations</varname> (<type>integer</type>) - default is 4096
       <indexterm>
        <primary><varname>scram_iterations</varname> configuration parameter</primary>
       </indexterm>
@@ -1156,7 +1156,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-krb-server-keyfile" xreflabel="krb_server_keyfile">
-      <term><varname>krb_server_keyfile</varname> (<type>string</type>)
+      <term><varname>krb_server_keyfile</varname> (<type>string</type>) - default is FILE:/usr/local/pgsql/etc/krb5.keytab
       <indexterm>
        <primary><varname>krb_server_keyfile</varname> configuration parameter</primary>
       </indexterm>
@@ -1178,7 +1178,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-krb-caseins-users" xreflabel="krb_caseins_users">
-      <term><varname>krb_caseins_users</varname> (<type>boolean</type>)
+      <term><varname>krb_caseins_users</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>krb_caseins_users</varname> configuration parameter</primary>
       </indexterm>
@@ -1194,7 +1194,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-gss-accept-delegation" xreflabel="gss_accept_delegation">
-      <term><varname>gss_accept_delegation</varname> (<type>boolean</type>)
+      <term><varname>gss_accept_delegation</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>gss_accept_delegation</varname> configuration parameter</primary>
       </indexterm>
@@ -1227,7 +1227,7 @@ include_dir 'conf.d'
 
      <variablelist>
      <varlistentry id="guc-ssl" xreflabel="ssl">
-      <term><varname>ssl</varname> (<type>boolean</type>)
+      <term><varname>ssl</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>ssl</varname> configuration parameter</primary>
       </indexterm>
@@ -1243,7 +1243,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-ca-file" xreflabel="ssl_ca_file">
-      <term><varname>ssl_ca_file</varname> (<type>string</type>)
+      <term><varname>ssl_ca_file</varname> (<type>string</type>) - default is an empty string
       <indexterm>
        <primary><varname>ssl_ca_file</varname> configuration parameter</primary>
       </indexterm>
@@ -1262,7 +1262,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-cert-file" xreflabel="ssl_cert_file">
-      <term><varname>ssl_cert_file</varname> (<type>string</type>)
+      <term><varname>ssl_cert_file</varname> (<type>string</type>) - default is server.crt
       <indexterm>
        <primary><varname>ssl_cert_file</varname> configuration parameter</primary>
       </indexterm>
@@ -1279,7 +1279,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-crl-file" xreflabel="ssl_crl_file">
-      <term><varname>ssl_crl_file</varname> (<type>string</type>)
+      <term><varname>ssl_crl_file</varname> (<type>string</type>) - default is an empty string
       <indexterm>
        <primary><varname>ssl_crl_file</varname> configuration parameter</primary>
       </indexterm>
@@ -1298,7 +1298,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-crl-dir" xreflabel="ssl_crl_dir">
-      <term><varname>ssl_crl_dir</varname> (<type>string</type>)
+      <term><varname>ssl_crl_dir</varname> (<type>string</type>) - default is an empty string
       <indexterm>
        <primary><varname>ssl_crl_dir</varname> configuration parameter</primary>
       </indexterm>
@@ -1332,7 +1332,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-key-file" xreflabel="ssl_key_file">
-      <term><varname>ssl_key_file</varname> (<type>string</type>)
+      <term><varname>ssl_key_file</varname> (<type>string</type>) - default is server.key
       <indexterm>
        <primary><varname>ssl_key_file</varname> configuration parameter</primary>
       </indexterm>
@@ -1349,7 +1349,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-tls13-ciphers" xreflabel="ssl_tls13_ciphers">
-      <term><varname>ssl_tls13_ciphers</varname> (<type>string</type>)
+      <term><varname>ssl_tls13_ciphers</varname> (<type>string</type>) - default is HIGH:MEDIUM:+3DES:!aNULL
       <indexterm>
        <primary><varname>ssl_tls13_ciphers</varname> configuration parameter</primary>
       </indexterm>
@@ -1371,7 +1371,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-ciphers" xreflabel="ssl_ciphers">
-      <term><varname>ssl_ciphers</varname> (<type>string</type>)
+      <term><varname>ssl_ciphers</varname> (<type>string</type>) - default is HIGH:MEDIUM:+3DES:!aNULL
       <indexterm>
        <primary><varname>ssl_ciphers</varname> configuration parameter</primary>
       </indexterm>
@@ -1456,7 +1456,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-prefer-server-ciphers" xreflabel="ssl_prefer_server_ciphers">
-      <term><varname>ssl_prefer_server_ciphers</varname> (<type>boolean</type>)
+      <term><varname>ssl_prefer_server_ciphers</varname> (<type>boolean</type>) - default is on
       <indexterm>
        <primary><varname>ssl_prefer_server_ciphers</varname> configuration parameter</primary>
       </indexterm>
@@ -1481,7 +1481,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-groups" xreflabel="ssl_groups">
-      <term><varname>ssl_groups</varname> (<type>string</type>)
+      <term><varname>ssl_groups</varname> (<type>string</type>) - default is prime256v1
       <indexterm>
        <primary><varname>ssl_groups</varname> configuration parameter</primary>
       </indexterm>
@@ -1518,7 +1518,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-min-protocol-version" xreflabel="ssl_min_protocol_version">
-      <term><varname>ssl_min_protocol_version</varname> (<type>enum</type>)
+      <term><varname>ssl_min_protocol_version</varname> (<type>enum</type>) - default is TLSv1.2
       <indexterm>
        <primary><varname>ssl_min_protocol_version</varname> configuration parameter</primary>
       </indexterm>
@@ -1547,7 +1547,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-max-protocol-version" xreflabel="ssl_max_protocol_version">
-      <term><varname>ssl_max_protocol_version</varname> (<type>enum</type>)
+      <term><varname>ssl_max_protocol_version</varname> (<type>enum</type>) - default is to allow any version
       <indexterm>
        <primary><varname>ssl_max_protocol_version</varname> configuration parameter</primary>
       </indexterm>
@@ -1570,7 +1570,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-dh-params-file" xreflabel="ssl_dh_params_file">
-      <term><varname>ssl_dh_params_file</varname> (<type>string</type>)
+      <term><varname>ssl_dh_params_file</varname> (<type>string</type>) - default is an empty string
       <indexterm>
        <primary><varname>ssl_dh_params_file</varname> configuration parameter</primary>
       </indexterm>
@@ -1594,7 +1594,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-passphrase-command" xreflabel="ssl_passphrase_command">
-      <term><varname>ssl_passphrase_command</varname> (<type>string</type>)
+      <term><varname>ssl_passphrase_command</varname> (<type>string</type>) - default is an empty string
       <indexterm>
        <primary><varname>ssl_passphrase_command</varname> configuration parameter</primary>
       </indexterm>
@@ -1628,7 +1628,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-ssl-passphrase-command-supports-reload" xreflabel="ssl_passphrase_command_supports_reload">
-      <term><varname>ssl_passphrase_command_supports_reload</varname> (<type>boolean</type>)
+      <term><varname>ssl_passphrase_command_supports_reload</varname> (<type>boolean</type>) - default is off
       <indexterm>
        <primary><varname>ssl_passphrase_command_supports_reload</varname> configuration parameter</primary>
       </indexterm>
@@ -1664,7 +1664,7 @@ include_dir 'conf.d'
 
      <variablelist>
      <varlistentry id="guc-shared-buffers" xreflabel="shared_buffers">
-      <term><varname>shared_buffers</varname> (<type>integer</type>)
+      <term><varname>shared_buffers</varname> (<type>integer</type>) - default is 128MB
       <indexterm>
        <primary><varname>shared_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -1709,7 +1709,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-huge-pages" xreflabel="huge_pages">
-      <term><varname>huge_pages</varname> (<type>enum</type>)
+      <term><varname>huge_pages</varname> (<type>enum</type>) - default is try
       <indexterm>
        <primary><varname>huge_pages</varname> configuration parameter</primary>
       </indexterm>
@@ -1772,7 +1772,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-huge-page-size" xreflabel="huge_page_size">
-      <term><varname>huge_page_size</varname> (<type>integer</type>)
+      <term><varname>huge_page_size</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>huge_page_size</varname> configuration parameter</primary>
       </indexterm>
@@ -1799,7 +1799,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-temp-buffers" xreflabel="temp_buffers">
-      <term><varname>temp_buffers</varname> (<type>integer</type>)
+      <term><varname>temp_buffers</varname> (<type>integer</type>) - default is 8MB
       <indexterm>
        <primary><varname>temp_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -1833,7 +1833,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-max-prepared-transactions" xreflabel="max_prepared_transactions">
-      <term><varname>max_prepared_transactions</varname> (<type>integer</type>)
+      <term><varname>max_prepared_transactions</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>max_prepared_transactions</varname> configuration parameter</primary>
       </indexterm>
@@ -1866,7 +1866,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-work-mem" xreflabel="work_mem">
-      <term><varname>work_mem</varname> (<type>integer</type>)
+      <term><varname>work_mem</varname> (<type>integer</type>) - default is 4MB
       <indexterm>
        <primary><varname>work_mem</varname> configuration parameter</primary>
       </indexterm>
@@ -1905,7 +1905,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-hash-mem-multiplier" xreflabel="hash_mem_multiplier">
-      <term><varname>hash_mem_multiplier</varname> (<type>floating point</type>)
+      <term><varname>hash_mem_multiplier</varname> (<type>floating point</type>) - default is 2.0
       <indexterm>
        <primary><varname>hash_mem_multiplier</varname> configuration parameter</primary>
       </indexterm>
@@ -1935,7 +1935,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-maintenance-work-mem" xreflabel="maintenance_work_mem">
-      <term><varname>maintenance_work_mem</varname> (<type>integer</type>)
+      <term><varname>maintenance_work_mem</varname> (<type>integer</type>) - default is 64MB
       <indexterm>
        <primary><varname>maintenance_work_mem</varname> configuration parameter</primary>
       </indexterm>
@@ -1965,7 +1965,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-autovacuum-work-mem" xreflabel="autovacuum_work_mem">
-      <term><varname>autovacuum_work_mem</varname> (<type>integer</type>)
+      <term><varname>autovacuum_work_mem</varname> (<type>integer</type>) - default is -1
       <indexterm>
        <primary><varname>autovacuum_work_mem</varname> configuration parameter</primary>
       </indexterm>
@@ -1988,7 +1988,7 @@ include_dir 'conf.d'
 
      <varlistentry id="guc-vacuum-buffer-usage-limit" xreflabel="vacuum_buffer_usage_limit">
       <term>
-       <varname>vacuum_buffer_usage_limit</varname> (<type>integer</type>)
+       <varname>vacuum_buffer_usage_limit</varname> (<type>integer</type>) - default is 2MB
        <indexterm>
         <primary><varname>vacuum_buffer_usage_limit</varname> configuration parameter</primary>
        </indexterm>
@@ -2017,7 +2017,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-logical-decoding-work-mem" xreflabel="logical_decoding_work_mem">
-      <term><varname>logical_decoding_work_mem</varname> (<type>integer</type>)
+      <term><varname>logical_decoding_work_mem</varname> (<type>integer</type>) - default is 64MB
       <indexterm>
        <primary><varname>logical_decoding_work_mem</varname> configuration parameter</primary>
       </indexterm>
@@ -2038,7 +2038,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-commit-timestamp-buffers" xreflabel="commit_timestamp_buffers">
-      <term><varname>commit_timestamp_buffers</varname> (<type>integer</type>)
+      <term><varname>commit_timestamp_buffers</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>commit_timestamp_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2059,7 +2059,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-multixact-member-buffers" xreflabel="multixact_member_buffers">
-      <term><varname>multixact_member_buffers</varname> (<type>integer</type>)
+      <term><varname>multixact_member_buffers</varname> (<type>integer</type>) - default is 32
       <indexterm>
        <primary><varname>multixact_member_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2078,7 +2078,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-multixact-offset-buffers" xreflabel="multixact_offset_buffers">
-      <term><varname>multixact_offset_buffers</varname> (<type>integer</type>)
+      <term><varname>multixact_offset_buffers</varname> (<type>integer</type>) - default is 16
       <indexterm>
        <primary><varname>multixact_offset_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2097,7 +2097,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-notify-buffers" xreflabel="notify_buffers">
-      <term><varname>notify_buffers</varname> (<type>integer</type>)
+      <term><varname>notify_buffers</varname> (<type>integer</type>) - default is 16
       <indexterm>
        <primary><varname>notify_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2116,7 +2116,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-serializable-buffers" xreflabel="serializable_buffers">
-      <term><varname>serializable_buffers</varname> (<type>integer</type>)
+      <term><varname>serializable_buffers</varname> (<type>integer</type>) - default is 32
       <indexterm>
        <primary><varname>serializable_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2135,7 +2135,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-subtransaction-buffers" xreflabel="subtransaction_buffers">
-      <term><varname>subtransaction_buffers</varname> (<type>integer</type>)
+      <term><varname>subtransaction_buffers</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>subtransaction_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2156,7 +2156,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-transaction-buffers" xreflabel="transaction_buffers">
-      <term><varname>transaction_buffers</varname> (<type>integer</type>)
+      <term><varname>transaction_buffers</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>transaction_buffers</varname> configuration parameter</primary>
       </indexterm>
@@ -2177,7 +2177,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-max-stack-depth" xreflabel="max_stack_depth">
-      <term><varname>max_stack_depth</varname> (<type>integer</type>)
+      <term><varname>max_stack_depth</varname> (<type>integer</type>) - default is 2MB
       <indexterm>
        <primary><varname>max_stack_depth</varname> configuration parameter</primary>
       </indexterm>
@@ -2211,7 +2211,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-shared-memory-type" xreflabel="shared_memory_type">
-      <term><varname>shared_memory_type</varname> (<type>enum</type>)
+      <term><varname>shared_memory_type</varname> (<type>enum</type>) - default is first supported option for that platform
       <indexterm>
        <primary><varname>shared_memory_type</varname> configuration parameter</primary>
       </indexterm>
@@ -2236,7 +2236,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-dynamic-shared-memory-type" xreflabel="dynamic_shared_memory_type">
-      <term><varname>dynamic_shared_memory_type</varname> (<type>enum</type>)
+      <term><varname>dynamic_shared_memory_type</varname> (<type>enum</type>) - default is first supported option for that platform
       <indexterm>
        <primary><varname>dynamic_shared_memory_type</varname> configuration parameter</primary>
       </indexterm>
@@ -2263,7 +2263,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-min-dynamic-shared-memory" xreflabel="min_dynamic_shared_memory">
-      <term><varname>min_dynamic_shared_memory</varname> (<type>integer</type>)
+      <term><varname>min_dynamic_shared_memory</varname> (<type>integer</type>) - default is 0
       <indexterm>
        <primary><varname>min_dynamic_shared_memory</varname> configuration parameter</primary>
       </indexterm>
@@ -2295,7 +2295,7 @@ include_dir 'conf.d'
 
      <variablelist>
      <varlistentry id="guc-temp-file-limit" xreflabel="temp_file_limit">
-      <term><varname>temp_file_limit</varname> (<type>integer</type>)
+      <term><varname>temp_file_limit</varname> (<type>integer</type>) - default is -1
       <indexterm>
        <primary><varname>temp_file_limit</varname> configuration parameter</primary>
       </indexterm>
@@ -2322,7 +2322,7 @@ include_dir 'conf.d'
      </varlistentry>
 
      <varlistentry id="guc-max-notify-queue-pages" xreflabel="max_notify_queue_pages">
-      <term><varname>max_notify_queue_pages</varname> (<type>integer</type>)
+      <term><varname>max_notify_queue_pages</varname> (<type>integer</type>) - default is 1048576
       <indexterm>
        <primary><varname>max_notify_queue_pages</varname> configuration parameter</primary>
       </indexterm>
@@ -2345,7 +2345,7 @@ include_dir 'conf.d'
 
      <variablelist>
      <varlistentry id="guc-max-files-per-process" xreflabel="max_files_per_process">
-      <term><varname>max_files_per_process</varname> (<type>integer</type>)
+      <term><varname>max_files_per_process</varname> (<type>integer</type>) - default is 1000 files
       <indexterm>
        <primary><varname>max_files_per_process</varname> configuration parameter</primary>
       </indexterm>
@@ -2390,7 +2390,7 @@ include_dir 'conf.d'
 
      <variablelist>
       <varlistentry id="guc-bgwriter-delay" xreflabel="bgwriter_delay">
-       <term><varname>bgwriter_delay</varname> (<type>integer</type>)
+       <term><varname>bgwriter_delay</varname> (<type>integer</type>) - default is 200ms
        <indexterm>
         <primary><varname>bgwriter_delay</varname> configuration parameter</primary>
        </indexterm>
@@ -2418,7 +2418,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-bgwriter-lru-maxpages" xreflabel="bgwriter_lru_maxpages">
-       <term><varname>bgwriter_lru_maxpages</varname> (<type>integer</type>)
+       <term><varname>bgwriter_lru_maxpages</varname> (<type>integer</type>) - default is 100 buffers
        <indexterm>
         <primary><varname>bgwriter_lru_maxpages</varname> configuration parameter</primary>
        </indexterm>
@@ -2437,7 +2437,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-bgwriter-lru-multiplier" xreflabel="bgwriter_lru_multiplier">
-       <term><varname>bgwriter_lru_multiplier</varname> (<type>floating point</type>)
+       <term><varname>bgwriter_lru_multiplier</varname> (<type>floating point</type>) - default is 2.0
        <indexterm>
         <primary><varname>bgwriter_lru_multiplier</varname> configuration parameter</primary>
        </indexterm>
@@ -2465,7 +2465,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-bgwriter-flush-after" xreflabel="bgwriter_flush_after">
-       <term><varname>bgwriter_flush_after</varname> (<type>integer</type>)
+       <term><varname>bgwriter_flush_after</varname> (<type>integer</type>) - default is 512kB on Linux, 0 elsewhere
        <indexterm>
         <primary><varname>bgwriter_flush_after</varname> configuration parameter</primary>
        </indexterm>
@@ -2511,7 +2511,7 @@ include_dir 'conf.d'
 
      <variablelist>
       <varlistentry id="guc-backend-flush-after" xreflabel="backend_flush_after">
-       <term><varname>backend_flush_after</varname> (<type>integer</type>)
+       <term><varname>backend_flush_after</varname> (<type>integer</type>) - default is 0
        <indexterm>
         <primary><varname>backend_flush_after</varname> configuration parameter</primary>
        </indexterm>
@@ -2541,7 +2541,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-effective-io-concurrency" xreflabel="effective_io_concurrency">
-       <term><varname>effective_io_concurrency</varname> (<type>integer</type>)
+       <term><varname>effective_io_concurrency</varname> (<type>integer</type>) - default is 1 on supported systems, otherwise 0
        <indexterm>
         <primary><varname>effective_io_concurrency</varname> configuration parameter</primary>
        </indexterm>
@@ -2586,7 +2586,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-maintenance-io-concurrency" xreflabel="maintenance_io_concurrency">
-       <term><varname>maintenance_io_concurrency</varname> (<type>integer</type>)
+       <term><varname>maintenance_io_concurrency</varname> (<type>integer</type>) - default is 10 on supported systems, otherwise 0
        <indexterm>
         <primary><varname>maintenance_io_concurrency</varname> configuration parameter</primary>
        </indexterm>
@@ -2606,7 +2606,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-io-combine-limit" xreflabel="io_combine_limit">
-       <term><varname>io_combine_limit</varname> (<type>integer</type>)
+       <term><varname>io_combine_limit</varname> (<type>integer</type>) - default is 128kb
        <indexterm>
         <primary><varname>io_combine_limit</varname> configuration parameter</primary>
        </indexterm>
@@ -2620,7 +2620,7 @@ include_dir 'conf.d'
       </varlistentry>
 
       <varlistentry id="guc-max-worker-processes" xreflabel="max_worker_processes">
-       <term><varname>max_worker_processes</varname> (<type>integer</type>)
+       <term><varname>max_worker_processes</varname> (<type>integer</type>) - default is 8
        <indexterm>
         <primary><varname>max_worker_processes</varname> configuration parameter</primary>
        </indexterm>
